<div class="miam-catalog-list__cards">

  <div *ngIf="filtersToDisplay.length > 0" class="miam-catalog-list__filters">
    <div class="miam-catalog-list__filter__title">Vos filtres</div>
    <div *ngFor="let filter of filtersToDisplay" class="miam-catalog-list__filter">
      <span>{{filter}}</span>
      <ng-miam-icon 
        class="miam-catalog-list__filter__icon" 
        (click)="removeFilter(filter)" 
        [iconName]="icon.Clear"
        primaryColor="var(--m-color-primary)">
      </ng-miam-icon>
    </div>
  </div>

  <div *ngIf="!loading && currentRecipes.length === 0" class="miam-catalog-list__notFound">
    <ng-miam-icon class="miam-catalog-list__notFound__icon" [width]="279" [height]="243" [iconName]="icon.NoRecipeFound"></ng-miam-icon>
    <div class="miam-catalog-list__notFound__title1">
      <span *ngIf="noRecipeTextFirstLine && filtersAreEmpty else defaultFirstLine">
        {{noRecipeTextFirstLine}}
      </span>
      <ng-template #defaultFirstLine>
        <span>Désolé, aucune proposition trouvée </span> 
        <span *ngIf="filters.search">pour "{{filters.search}}"</span>
      </ng-template>
    </div>
    <div class="miam-catalog-list__notFound__title2">
      <span *ngIf="noRecipeTextSecondLine && filtersAreEmpty else defaultSecondLine">
        {{noRecipeTextSecondLine}}
      </span>
      <ng-template #defaultSecondLine>
        Veuillez modifier les termes de votre recherche ou régler les filtres
      </ng-template>
    </div>
  </div>
  <ng-miam-card-create-recipe *ngIf="insertCreateCard && !loading && currentRecipes.length !== 0" (clicked)="recipeActionTriggered.emit({action: 'CREATE', recipe: null})" class="miam-catalog-list__card"></ng-miam-card-create-recipe>
  <div *ngFor="let recipe of currentRecipes" class="miam-catalog-list__card">
    <ng-miam-catalog-recipe-card [recipe]='recipe' (actionTriggered)="recipeActionTriggered.emit({action: $event, recipe: recipe})"></ng-miam-catalog-recipe-card>
  </div>
  <div *ngIf="loading" class="miam-catalog-list__loader">
    <ng-miam-loader></ng-miam-loader>
    <div>
      Chargement des recettes...
    </div>
  </div>
  <div id="miam-catalog-list__anchor"></div>
</div>